com.smartgwt.client.widgets.layout.events

## Interface HasMembersChangedHandlers

- All Superinterfaces:
    com.google.gwt.event.shared.HasHandlers
  All Known Implementing Classes:
    AdaptiveMenu, AdvancedHiliteEditor, AISortProgressDialog, AIWindow, BatchUploader, BatchUploader, BuildUIViaAIProgressDialog, BuildViaAIProgressDialog, CalendarView, ColorPicker, ColumnTree, CSSEditor, CubeGrid, DataView, DateChooser, DateGrid, DateRangeDialog, Deck, Dialog, EditSearchWindow, EditTree, EventCanvas, FieldPicker, FieldPickerWindow, FilterBuilder, FilterClause, FilterViaAIProgressDialog, GradientEditor, HiliteEditor, HiliteRule, HiliteViaAIProgressDialog, HLayout, HStack, ImgSectionHeader, IndicatorCanvas, Layout, ListGrid, ListPalette, ListPropertiesDialog, ListPropertiesPane, Menu, MenuBar, MenuPalette, MultiFilePicker, MultiGroupDialog, MultiGroupPanel, MultiSortDialog, MultiSortPanel, NavigationBar, NavPanel, PickListMenu, PortalLayout, Portlet, PrintWindow, RecordEditor, Reify, RibbonBar, RibbonGroup, RichTextEditor, SavedSearchEditor, ScreenLoader, SectionStack, SelectionTreeMenu, SplitPane, TabBar, TableView, Toolbar, ToolStrip, ToolStripGroup, TourWindow, TreeGrid, TreePalette, VLayout, VStack, Window, ZoneCanvas

      public interface HasMembersChangedHandlers
      extends com.google.gwt.event.shared.HasHandlers

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `com.google.gwt.event.shared.HandlerRegistration` | `addMembersChangedHandler(MembersChangedHandler handler)` Fires once at initialization if the layout has any initial members, and then fires whenever members are added, removed or reordered.

    - ### Methods inherited from interface com.google.gwt.event.shared.HasHandlers

      `fireEvent`

- - ### Method Detail

    - #### addMembersChangedHandler

          com.google.gwt.event.shared.HandlerRegistration addMembersChangedHandler(MembersChangedHandler handler)

      Fires once at initialization if the layout has any initial members, and then fires whenever members are added, removed or reordered.
      Parameters:
        `handler` - the membersChanged handler
      Returns:
        `HandlerRegistration` used to remove this handler